package com.ruixuan.bytedance.service;


import com.alibaba.fastjson.JSONObject;

/**
 * 调用媒体服务
 *
 * @date 2023-08-11
 */
public interface IBytedanceService {
    /**
     * job新增团长活动列表
     */
    public void addBytedanceColonelActivityList(Long page);


    /**
     * job 新增团长活动详情
     */
    void addBytedanceColonelActivityDetail(Long activityId);


    /**
     * 新增活动商品
     */
    JSONObject addBytedanceColonelActivityProduct(Long activityId, Long productInfo);


    /**
     * 托管商品
     * @param activityId
     * @param itemId
     * @return
     */
    JSONObject trusteeship(Long activityId, Long itemId);

    /**
     * job 新增团长订单
     */
    void addBytedanceInstituteOrderColonel(String startTime, String endTime, String cursor);

    /**
     * job 新增 团长分次结算订单
     */
    void addBytedanceMultiSettlementOrders(String startTime, String endTime, String cursor);


}